#!/usr/bin/python3
import os

from pygame.time import Clock

from game import *

clock = pygame.time.Clock()
w = GameWindow('Global Game Jam 2019')

pygame.mixer.music.load(os.path.join('res', 'bgm.mp3'))
pygame.mixer.music.play(-1)

if not gamestate.editor_editing:
    gamestate.transition_queue.insert(0, ChapterTransition(gamestate, 'Matt^2 presents', 3))
    gamestate.transition_queue.insert(0, ChapterTransition(gamestate, 'For Global Game Jam 2019', 4))
    gamestate.transition_queue.insert(0, ChapterTransition(gamestate, 'Home', 5))

while True:
    dt = clock.tick(gamestate.fps)

    w.clear()

    if gamestate.paused:
        w.draw(ChapterTransition(gamestate, 'Resume: ESC / Move: ARROWS / Retry: CTRL+R / Quit: CTRL+Q'))
    else:
        gamestate.update(dt)

        if gamestate.transition_queue:
            t = gamestate.transition_queue[-1]
            w.draw(t)
        else:
            w.draw(gamestate.room)
            w.draw(gamestate.player)
            w.draw(gamestate.inventory)

    if not w.do_events(dt):
        # Quit
        break

    pygame.display.flip()
