import pygame

class GameObject(object):
    def __init__(self, position, gamestate, size=1):
        self.position = tuple(position)
        self.size = size
        self.gamestate = gamestate

    def update(self, dt):
        pass

    def on_collide(self, other, movement_vector):
        # Allow everything to pass
        return True

    def is_player(self):
        False

    def on_collide33(self, other, movement_vector):
        # Most things will allow everything to pass on the 3x3 radius
        return True

    def __eq__(self, other):
        return self.position == other.position

    def __hash__(self):
        return hash(self.position)


class Drawable(GameObject):
    def __init__(self, position, gamestate):
        super(Drawable, self).__init__(position, gamestate)

    def get_rect(self):
        return pygame.Rect()

    def draw_on(self, surface, cam):
        pass


class Text(Drawable):
    def __init__(self, position, gamestate, text, size):
        super(Text, self).__init__(position, gamestate)
        font = pygame.font.SysFont(None, size)
        self._text = font.render(text, False, (255, 255, 255))

    def draw_on(self, surface, cam):
        surface.blit(self._text, self.position)

    def get_rect(self):
        return self._text.get_rect()
