import pygame

from .baseobjects import Drawable, Text
from .tiles import Tile, TILESETS

class Inventory(Drawable):
    def __init__(self, gamestate):
        pos = (
            gamestate.screen_size[0] - ((Tile.SIZE + 2) * 3),
            gamestate.screen_size[1] - Tile.SIZE,
        )
        super(Inventory, self).__init__(pos, gamestate)

    def _draw_inventory_tile(self, surface, tile_idx, inventory_padding):
        surface.blit(
            TILESETS['inventory'].image,
            (self.gamestate.screen_size[0] - ((Tile.SIZE + 2) * inventory_padding), self.gamestate.screen_size[1] - Tile.SIZE),
            (tile_idx * Tile.SIZE, self.gamestate.time_period * Tile.SIZE, Tile.SIZE, Tile.SIZE)
        )

    def draw_on(self, surface, cam):
        if self.gamestate.is_pee:
            self._draw_inventory_tile(surface, 0, 3)
        if self.gamestate.is_bucket:
            self._draw_inventory_tile(surface, 1, 2)
        if self.gamestate.is_tax:
            self._draw_inventory_tile(surface, 2, 1)

    def get_rect(self):
        return pygame.Rect(self.position, (Tile.SIZE * 3, Tile.SIZE))
