from .tiles import Movable

class Player(Movable):
    def __init__(self, position, gamestate):
        super(Player, self).__init__('walkdown', position, None, gamestate)

    def move_direction(self, movement_vector):
        super(Player, self).move_direction(movement_vector)

        # Did we change direction? Update tileset
        if self.movement_vector == movement_vector:
            self.animating = True
            if movement_vector[0] < 0:
                self.tileset_name = 'walkleft'
            elif movement_vector[0] > 0:
                self.tileset_name = 'walkright'
            elif movement_vector[1] < 0:
                self.tileset_name = 'walkup'
            elif movement_vector[1] > 0:
                self.tileset_name = 'walkdown'

    def update(self, dt):
        super(Player, self).update(dt)
        if not self.is_moving():
            self.tileset_tile_idx = 0
            self.animating = True

    def is_player(self):
        return True